#!/usr/bin/perl -w

use strict;
use TV::Core;
use TV::Format;
use TV::Search;
use Data::Dumper;

my $find = TV::Search->new( channels => ['bbc1', 'bbc2', 'sky_one', 'e4'],
                            days     => [(0..6)]);
my $list;
$list = $find->findRegExp('Friends', 0x01);
print Dumper($list);

$list = $find->findRegExp('Buffy', 0xff);
print Dumper($list);

$find = TV::Search->new( channels => TV::Core->getChannels('all'),
                         days => [(-1..6)]);
$list = $find->findRegExp(quotemeta('Coronation Street'), 255);
print Dumper($list);

$list = $find->findRegExp('Smallville', 0xff);
print Dumper($list);

exit;
